Bug 164086 - Some context menu items in memory live results are enabled when the profiling has ended.
Some context menu items in memory live results are enabled when the profiling...
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Sedlacek
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 15:49 UTC by Petr Cyhelsky
Modified: 2009-05-22 13:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2009-04-29 15:49:27 UTC
The items:
* Take Snapshot and Show Allocation Stack Traces
* Stop Profiling this Class
* Stop Profiling Classes below this Line
should be disabled after the profiled application ends.
Comment 1 Petr Cyhelsky 2009-04-30 10:56:46 UTC
fixed in profiler main: 129408:a123e622c0ae
Comment 2 Quality Engineering 2009-05-02 18:48:11 UTC
Integrated into 'main-golden', will be available in build *200905021401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a123e622c0ae
User: Petr Cyhelsky <cyhelsky@netbeans.org>
Log: #164086 Disable context menu items in live memory profiling results when target jvm not active
Comment 3 Jiri Sedlacek 2009-05-07 11:23:15 UTC
Not fully fixed:

 - Log Class History still enabled in liveness results
 - items are disabled in allocations results:
     - Take Snapshot and Show Allocation Stack Traces
     - Log Class History
Comment 4 Jiri Sedlacek 2009-05-07 11:24:27 UTC
I meant items *should* be disabled also in allocations results.
Comment 5 Jiri Sedlacek 2009-05-07 11:26:40 UTC
Fixed in profiler-main: http://hg.netbeans.org/profiler-main/rev/e4aabb4263ed
Comment 6 Quality Engineering 2009-05-08 07:48:34 UTC
Integrated into 'main-golden', will be available in build *200905080201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e4aabb4263ed
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #164086 - disable menu items when profiling finishes
Comment 7 Petr Cyhelsky 2009-05-20 14:26:06 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo